Package javax.help.plaf.basic

# Class BasicSearchNavigatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.help.plaf.HelpNavigatorUI
javax.help.plaf.basic.BasicSearchNavigatorUI

All Implemented Interfaces:
  `ComponentListener`, `PropertyChangeListener`, `EventListener`, `HelpModelListener`, `SearchListener`, `TreeSelectionListener`

public class BasicSearchNavigatorUI extends HelpNavigatorUI implements HelpModelListener, SearchListener, PropertyChangeListener, TreeSelectionListener, ComponentListener

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`displayOptions`
`protected SearchEngine`
`helpsearch`
`protected DefaultMutableTreeNode`
`lastTOCnode`
`protected JHelpSearchNavigator`
`searchnav`
`protected JTextField`
`searchparams`
`protected SearchQuery`
`searchquery`
`protected JScrollPane`
`sp`
`protected DefaultMutableTreeNode`
`topNode`
`protected JTree`
`tree`

## Constructor Summary

Constructors
Constructor
Description
`BasicSearchNavigatorUI(JHelpSearchNavigator b)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addSubHelpSets(HelpSet hs)`
Adds subhelpsets
`void`
`componentHidden(ComponentEvent e)`
Invoked when the component has been made invisible.
`void`
`componentMoved(ComponentEvent e)`
Invoked when the component's position changes.
`void`
`componentResized(ComponentEvent e)`
Invoked when the component's size changes.
`void`
`componentShown(ComponentEvent e)`
Invoked when the component has been made visible.
`static ComponentUI`
`createUI(JComponent x)`
`protected JHelpNavigator`
`getHelpNavigator()`
`Dimension`
`getMaximumSize(JComponent c)`
`Dimension`
`getMinimumSize(JComponent c)`
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`idChanged(HelpModelEvent e)`
Processes an idChanged event.
`void`
`installUI(JComponent c)`
`void`
`itemsFound(SearchEvent e)`
Tells the listener that matching SearchItems have been found.
`void`
`merge(NavigatorView view)`
Merges in the navigational data from another NavigatorView.
`void`
`propertyChange(PropertyChangeEvent event)`
`void`
`remove(NavigatorView view)`
Removes the navigational data from another NavigatorView.
`void`
`searchFinished(SearchEvent e)`
Tells the listener that the search has finished
`void`
`searchStarted(SearchEvent e)`
Tells the listener that the search has started.
`protected void`
`setCellRenderer(NavigatorView view, JTree tree)`
Setd the desired cell renderer on this tree.
`void`
`uninstallUI(JComponent c)`
`void`
`valueChanged(TreeSelectionEvent e)`
A value has changed.

### Methods inherited from class javax.help.plaf.HelpNavigatorUI

`getAddAction, getIcon, getImageIcon, setIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### searchnav

protected JHelpSearchNavigator searchnav

### sp

protected JScrollPane sp

### tree

protected JTree tree

### topNode

protected DefaultMutableTreeNode topNode

### searchparams

protected JTextField searchparams

### displayOptions

protected boolean displayOptions

### helpsearch

protected SearchEngine helpsearch

### searchquery

protected SearchQuery searchquery

### lastTOCnode

protected DefaultMutableTreeNode lastTOCnode

## Constructor Details

### BasicSearchNavigatorUI

public BasicSearchNavigatorUI(JHelpSearchNavigator b)

## Method Details

### createUI

public static ComponentUI createUI(JComponent x)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `ComponentUI`

### getMinimumSize

public Dimension getMinimumSize(JComponent c)

Overrides:
  `getMinimumSize` in class `ComponentUI`

### getMaximumSize

public Dimension getMaximumSize(JComponent c)

Overrides:
  `getMaximumSize` in class `ComponentUI`

### addSubHelpSets

protected void addSubHelpSets(HelpSet hs)
Adds subhelpsets

Parameters:
  `hs` - The HelpSet which subhelpsets will be added

### merge

public void merge(NavigatorView view)
Merges in the navigational data from another NavigatorView.

Overrides:
  `merge` in class `HelpNavigatorUI`

### remove

public void remove(NavigatorView view)
Removes the navigational data from another NavigatorView.

Overrides:
  `remove` in class `HelpNavigatorUI`

### setCellRenderer

protected void setCellRenderer(NavigatorView view, JTree tree)
Setd the desired cell renderer on this tree. This is exposed for redefinition by subclases.

### idChanged

public void idChanged(HelpModelEvent e)
Processes an idChanged event. Search is different from all other navigators in that you while search tree is synchronized the highlighting doesn't occur unless selected from the search navigator.

Specified by:
  `idChanged` in interface `HelpModelListener`
Parameters:
  `e` - The event

### getHelpNavigator

protected JHelpNavigator getHelpNavigator()

### valueChanged

public void valueChanged(TreeSelectionEvent e)
A value has changed. This is used as a TreeSelectionListener.

Specified by:
  `valueChanged` in interface `TreeSelectionListener`

### propertyChange

public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### componentResized

public void componentResized(ComponentEvent e)
Invoked when the component's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`

### componentMoved

public void componentMoved(ComponentEvent e)
Invoked when the component's position changes.

Specified by:
  `componentMoved` in interface `ComponentListener`

### componentShown

public void componentShown(ComponentEvent e)
Invoked when the component has been made visible.

Specified by:
  `componentShown` in interface `ComponentListener`

### componentHidden

public void componentHidden(ComponentEvent e)
Invoked when the component has been made invisible.

Specified by:
  `componentHidden` in interface `ComponentListener`

### itemsFound

public void itemsFound(SearchEvent e)
Description copied from interface: `SearchListener`
Tells the listener that matching SearchItems have been found.

Specified by:
  `itemsFound` in interface `SearchListener`

### searchStarted

public void searchStarted(SearchEvent e)
Description copied from interface: `SearchListener`
Tells the listener that the search has started.

Specified by:
  `searchStarted` in interface `SearchListener`

### searchFinished

public void searchFinished(SearchEvent e)
Description copied from interface: `SearchListener`
Tells the listener that the search has finished

Specified by:
  `searchFinished` in interface `SearchListener`